# ListBox class

inherited from: | Box
protocols: | AutoRelease
package: | gui
declared in: | gui/interface/ListBox.tcl
implemented in: | gui/implementation/ListBox.tcl

- instance variables
  - listbox
  - xscroll
  - yscroll
- instance selectors
  - add:
  - clear
  - clearSelection
  - contains:
  - height
  - height:
  - indexOfSelection
  - indexOfSelection:
  - list
  - list:
  - listbox
  - loadFromFile:
  - onSelection
  - onSelection:
  - remove:
  - removeIndex:
  - selection
  - selection:
  - selectionChange
  - sort
  - update
  - width
  - width: